<?php

namespace goals;
require_once WD . '/modules/goals/config/goals_enabled_c.php';
// Require helpers

use goals\config\goals_enabled_c;
use traits\module_config_t;

class goals_c
{
    use module_config_t;

    /**
     * The status of the goals module
     * @var goals_enabled_c
     */
    public goals_enabled_c $enabled;

    public function __construct()
    {
        $this->setupConfig('goals');
        $this->allowUpdate([
            goals_enabled_c::class,
        ]);
        $this->enabled = new goals_enabled_c();
    }
}